Get all output from LIST without having to "Press ENTER to continue..."

Hello,
I am running some LISTs, and I'd like all my output in one go.
I tried changing the Tracking setting as per the command reference, but it turned out that's not what Tracking controls - see this link.
Is it possible to get continuous output from LIST without having to "Press ENTER to continue..."?

Comments

  • I think I'd write my own list if I needed that. I would add in the com listing I get from dump command:
    (DEFUN C:DUMP () (PRINC "\nDump object props to screen")
    (vlax-dump-Object (vlax-ename->vla-object (CAR (ENTSEL "\nPick Object:"))))(textscr)(PRINC))

  • Try this Lisp snippet:
    (command "_.list" (ssget) "")

  • @Roy Klein Gebbinck
    nice, if each entity does not go past one screen height.
    I'm normally just happy if people know to use list, instead of picking and opening properties palette.

  • @Roy Klein Gebbinck said:
    Try this Lisp snippet:
    (command "_.list" (ssget) "")

    That's very nice. Based on OP's previous forum post, SCRLHIST setting (number of command lines in command bar scroll history) maybe relevant too.

  • @James Maeding said:
    nice, if each entity does not go past one screen height.

    @Dan Wiseman said:
    That's very nice. Based on OP's previous forum post, SCRLHIST setting (number of command lines in command bar scroll history) maybe relevant too.

    A simple experiment suggests that you are both correct - SCRLHIST just needs to be increased to allow enough room for the properties of the entity.

    @Roy Klein Gebbinck said:
    Try this Lisp snippet:
    (command "_.list" (ssget) "")

    It works beautifully, thanks! I do have another question though.
    I have very limited experience with autolisp, but I am curious how this stops the usual prompt for Enter. I had a look at Autodesk's and Lee Mac's articles for ssget and didn't find anything useful. Bricsys doesn't seem to have it's own article for ssget.

  • Anthony Apostolaros
    edited January 2020

    @Mateusz Lawrynowicz said:
    Bricsys doesn't seem to have its own article for ssget.

    There's a detailed description of each lisp function, including ssget, in the online developers reference, at https://www.bricsys.com/bricscad/help/en_US/CurVer/DevRef/index.html
    Click on + signs to open Lisp and then Autolisp Standard Functions, or Bricscad Lisp Functions for ones that are unique to BC.

  • @Mateusz Lawrynowicz
    I also wondered that, even though I've done lisp for 25 years.
    I tried in autocad and the (command "_.list" (ssget) "") trick does not work.
    So in bcad, for some reason it does. That might "bug" some people, and some might like it.
    List is a text screen output only tool though AFAIK. So the enters don't bother me much.
    You can tell though, that these little commands we run have a lot of back end code that I bet was written by autodesk long gone developers.
    That is why I like bcad, the developers are likely still reachable.

  • Anthony Apostolaros
    edited January 2020

    @Mateusz Lawrynowicz said:
    I am curious how this stops the usual prompt for Enter.

    I don't know why that works. Maybe commands executed via lisp aren't subject to certain variable settings? Roy knows a lot of things about lisp programming that no one else knows.

    I think the variable that applies here is QAFLAGS. If you open Settings and search for "Text Screen" you'll quickly come to that variable. If you check the box next to "No pause during text screen listings" you'll get rid of the "Enter to continue" prompt. That'll work with or without Roy's lisp function (but maybe not if you add something to the function to temporarily clear the 2nd bit in QAFLAGS and then restore it afterward), and it should work with all commands that use up a lot of text screen height.

    In my v17, the description of QAFLAGS says "this is subject to change, and not intended for regular use." So maybe later versions control the pause by some other variable. Either way, you should be able to find it by searching Settings for "Text Screen."

  • Some commands have a slightly different behavior when called from Lisp code. In BricsCAD _List is one of those commands (which I didn't know before this topic).

  • @Roy Klein Gebbinck said:
    Try this Lisp snippet:
    (command "_.list" (ssget) "")

    Just wanted you to know that I come here pretty much on a weekly basis just for this snippet. I know I shouldn't have to but my Bricscad configuration is messed up, I had a go at fixing it to save it under an alias but I don't have time for another attempt to fix it. That's still quicker than messing about with removing the Press Enter lines.

    Thank you once again.

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!